# Class CIM_CLPCapabilities
extends CIM_ProtocolServiceCapabilities

A subclass of ProtocolServiceCapabilities that defines the capabilities of a CLPService. An instance of CLPCapabilities is associated with a ProtocolService using ElementCapabilities.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_ProtocolServiceCapabilities
|
+--CIM_CLPCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A subclass of ProtocolServiceCapabilities that defines the capabilities of a CLPService. An instance of CLPCapabilities is associated with a ProtocolService using ElementCapabilities.
UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CLPVersions | string[] |

Description

string

CLPVersion is an array of strings that specifies the versions of the SM CLP Specification, DMTF document DSP0214, that the CLP service supports. The format of the version string follows the conventions noted in DMTF document DSP4004 in current and historical versions of the document. Thus the version string format is "m.n.ud s" where m is the string value of the major version identifier in numeric form, n is the string value of the minor version identifier in numeric form , u is the optional string value of the update (errata or coordination changes) in numeric form, d is the optional draft in alphabetic form and s is one of the following string values in alphabetic form: "Work In Progress", "Draft Standard", "DMTF Standard", "Preliminary Standard" or "Final Standard".

SMMEAddressVersions | string[] |

Description

string

SMMEAddressVersion is an array of strings that specify the versions of the Server Management Managed Element Address Specification, DMTF document DSP0215, that the CLP service supports. The format of the version string follows the conventions noted in DMTF document DSP4004 in current and historical versions of the document. Thus the version string format is "m.n.ud s" where m is the string value of the major version identifier in numeric form, n is the string value of the minor version identifier in numeric form , u is the optional string value of the update (errata or coordination changes) in numeric form, d is the optional draft in alphabetic form and s is one of the following string values in alphabetic form: "Work In Progress", "Draft Standard", "Preliminary Standard" or "Final Standard".

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
ListeningPortManagementSupported | boolean | CIM_ProtocolServiceCapabilities
MaxConnections | uint16 | CIM_ProtocolServiceCapabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
MaxListeningPorts | uint16 | CIM_ProtocolServiceCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods